> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update organization details

Updates the organization's profile.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json patch /organization
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization:
    patch:
      tags:
        - Organizations
      summary: Update organization details
      description: Updates the organization's profile.
      operationId: updateOrganization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 250
                  description: Organization name.
                  example: PiedPiper Inc.
                line1:
                  type: string
                  maxLength: 250
                  description: Address line 1.
                  example: 5230 Newell Road
                line2:
                  type: string
                  maxLength: 250
                  description: Address line 2 (optional).
                zipcode:
                  type: string
                  maxLength: 25
                  description: Postal/ZIP code.
                  example: 94303
                city:
                  type: string
                  maxLength: 250
                  description: City name.
                  example: Palo Alto
                state:
                  type: string
                  maxLength: 250
                  description: State or province (optional).
                  example: California
                country:
                  type: string
                  maxLength: 2
                  description: Two-letter ISO country code.
                  example: US
                company_vat:
                  type: string
                  maxLength: 250
                  description: VAT number (validated for EU countries).
                billing_email:
                  type: string
                  format: email
                  maxLength: 250
                  description: Email address for billing notifications.
                  example: billing@piedpiper.com
                from_name:
                  type: string
                  maxLength: 100
                  description: >-
                    Email sender name template (supports variables like
                    ${agent_name}, ${organization_name}).
                  example: ${agent_name} from ${organization_name}
                is_ai_chat_enabled:
                  type: boolean
                  description: Enable AI chat feature.
                  example: true
      responses:
        '200':
          description: Organization updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organization'
        '400':
          description: Invalid input or validation error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  schemas:
    Organization:
      type: object
      properties:
        name:
          type: string
          maxLength: 250
          description: Name of the organization
          example: PiedPiper Inc.
        slug:
          type: string
          maxLength: 250
          description: URL-friendly slug for the organization
          example: piedpier
        line1:
          type: string
          maxLength: 250
          nullable: true
          description: First line of the organization's address
          example: 5230 Newell Road
        line2:
          type: string
          maxLength: 250
          nullable: true
          description: Second line of the organization's address (suite, building, etc.)
        zipcode:
          type: string
          maxLength: 25
          nullable: true
          description: Postal/ZIP code
          example: 94303
        city:
          type: string
          maxLength: 250
          nullable: true
          description: City name
          example: Palo Alto
        state:
          type: string
          maxLength: 250
          nullable: true
          description: State or province
          example: California
        country:
          type: string
          maxLength: 2
          nullable: true
          description: ISO 3166-1 alpha-2 country code
          example: US
        company_vat:
          type: string
          maxLength: 250
          nullable: true
          description: VAT/Tax identification number
        billing_email:
          type: string
          format: email
          nullable: true
          description: Email address for billing notifications
          example: billing@piedpiper.com
        notification_email:
          type: string
          format: email
          nullable: true
          description: Email address for system notifications
          example: notifications@piedpiper.com
        from_name:
          type: string
          maxLength: 100
          description: >-
            Template for the "From" name in emails. Supports variables like
            ${agent_name}, ${organization_name}, ${channel_email}
          example: ${agent_name} from ${organization_name}
        trial_ends_at:
          type: string
          format: date-time
          description: Timestamp when the trial period ends (UTC)
          example: '2024-12-31T23:59:59Z'
        trial_ends_at_ts:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds when the trial period ends
          example: 1735689599000
        onboarding:
          type: object
          nullable: true
          description: >-
            Onboarding progress tracking with steps (email, channel, stripe,
            invite, snippet, rule, cheatsheet, knowledge) and their states
            (done, ignored)
          example:
            email: done
            channel: done
            stripe: ignored
        renew_date:
          type: string
          format: date-time
          nullable: true
          description: Next subscription renewal date (UTC)
          example: '2024-12-01T00:00:00Z'
        renew_date_ts:
          type: integer
          format: int64
          nullable: true
          description: Unix timestamp in milliseconds for next subscription renewal
          example: 1733011200000
        cancels_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the subscription will be canceled (UTC)
          example: '2024-12-31T23:59:59Z'
        cancels_at_ts:
          type: integer
          format: int64
          nullable: true
          description: >-
            Unix timestamp in milliseconds when the subscription will be
            canceled
          example: 1735689599000
        card_expiry:
          type: string
          format: date-time
          nullable: true
          description: Payment card expiration date (UTC)
          example: '2025-12-01T00:00:00Z'
        card_expiry_ts:
          type: integer
          format: int64
          nullable: true
          description: Unix timestamp in milliseconds for payment card expiration
          example: 1764547200000
        card_brand:
          type: string
          maxLength: 50
          nullable: true
          description: Payment card brand (Visa, Mastercard, etc.)
          example: Visa
        last4:
          type: string
          maxLength: 4
          nullable: true
          description: Last 4 digits of the payment card
          example: '4242'
        is_premium:
          type: boolean
          description: Whether the organization has an active paid subscription
          example: true
        integrations:
          type: array
          items:
            type: string
          description: List of enabled integrations (e.g., LINEAR, GITHUB, SLACK)
          example:
            - LINEAR
            - SLACK
        hours:
          type: object
          nullable: true
          description: Business hours configuration with days and opening/closing times
          example:
            monday:
              - open: '09:00'
                close: '17:00'
            tuesday:
              - open: '09:00'
                close: '17:00'
        created:
          type: string
          format: date-time
          description: Timestamp when the organization was created (UTC)
          example: '2024-01-01T00:00:00Z'
        created_ts:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds when the organization was created
          example: 1704067200000
        is_custom_data_enabled:
          type: boolean
          description: Whether the custom data panel is enabled and properly configured
          example: false
        is_ai_enabled:
          type: boolean
          description: Whether AI features are enabled.
          example: true
        is_ai_chat_enabled:
          type: boolean
          description: Whether AI chat feature is enabled
          example: true
        is_ai_articles_enabled:
          type: boolean
          description: Whether AI articles feature is enabled
          example: false
        is_ai_messages_enabled:
          type: boolean
          description: Whether AI messages feature is enabled
          example: false
      required:
        - name
        - slug
        - from_name
        - trial_ends_at
        - trial_ends_at_ts
        - is_premium
        - integrations
        - created
        - created_ts
        - is_custom_data_enabled
        - is_ai_enabled
        - is_ai_chat_enabled
        - is_ai_articles_enabled
        - is_ai_messages_enabled
      x-computed-hash: ab16b3acab623ad9e540308c642150465a6397b582d8d8c166c3a40c78509a53
      x-last-modified: 1769075324
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````